Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I hadn't used my Ubuntu 10.04 laptop for a week or so, and when I came back to it, it had a message from the Update Manager asking to update 800+ files. So I said OK. It downloaded the packages and started the update.

Since this was taking quite a while, I went to work on my desktop, and occasionally peeked over at the laptop to see how it was doing. After awhile, the Update Manager dialog box said something about "Recovering from package failure". I clicked on the Details icon. It was processing a bunch of files, and then it just stopped. After five minutes, I gave up and restarted the system. I noticed that now there was a new version of Grub (1.98+20100804-4), and also a new kernel (2.6.32-24). But when I selected the new kernel, it said "Gave up waiting for root device" and the system immediately dropped into a command shell for initramfs.

If I select the previous kernel (2.6.32-23) in Grub, right after the Ubuntu logo comes up I get a message "There was a problem with the configuration server. /usr/lib/libcong2-4/gconf-sanity-check-2 exited with status 256".

After logging in, my desktop the System Menu doesn't appear to be complete. It is missing Preferences and Adminsitration. All there is are entries for Help and Support, About GNOME, About Ubunutu,Lock Screen, Log Out..., and Shut Down...

Any ideas on how I can recover from this mess and get back a stable system? I am an experienced programmer but still somewhat of a Ubuntu newbie.

share|improve this question

1 Answer 1

up vote 0 down vote accepted

Try re-running the upgrade

sudo apt-get update && sudo apt-get-upgrade


Try removing the package completely

sudo apt-get remove gnome-accessibility-themes_2.30.2-1_all && sudo apt-get autoremove

Follow it up clearing out the apt-cache and reinstalling it

sudo apt-get clean && sudo apt-get install gnome-accessibility-themes_2.30.2-1_all

share|improve this answer
    
I did the apt-get update && sudo apt-get upgrade in the terminal window. After reading the packages, apt-get update said: W: GPG error: ftp.us.debian.org sid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 9AA38DCD55BE302B. I went ahead and ran apt-get update, and it said (continued in next comment): –  tcrosley Sep 5 '10 at 21:47
    
Errors were encountered while processing: /var/cache/apt/archives/desktopcouch_0.6.6-1_all.deb /var/cache/apt/archives/gnome-accessibility-themes_2.30.2-1_all.deb E: Sub-process /usr/bin/dpkg returned an error code (1) Ran it again and got the same thing. When I rebooted, my System menu was restored (thank you); however I still get the message "There was a problem with the configuration server. /usr/lib/libcong2-4/gconf-sanity-check-2 exited with status 256". when logging in. –  tcrosley Sep 5 '10 at 21:49
    
@tcrosely Updated my answer, please check and report back. –  Sathya Sep 5 '10 at 22:25
    
It tried removing the packages manually as you suggested, and encountered another error, such that now when I try to run sudo apt-get anything it says E: dpkg was interrupted, and to run sudo dpkg --configure -a. However when I do that, it runs a while then right after the line Setting up hal (0.5.14-3) it says Restarting dbus, then the entire desktop goes away. At that point I have to restart the computer. Rerunning dpkg --configure -a just repeats so I am in a loop. –  tcrosley Sep 6 '10 at 0:15
    
Ok, run sudo dpkg --configure -a and follow it up by sudo apt-get upgrade. this should fix everything –  Sathya Sep 6 '10 at 2:48

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.